This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 484109 - liberation-fonts update in reality erases all installed liberation fonts
liberation-fonts update in reality erases all installed liberation fonts
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: liberation-fonts (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Caius Chance
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-04 15:28 EST by Michal Jaegermann
Modified: 2009-02-05 23:49 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-05 23:49:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2009-02-04 15:28:51 EST
Description of problem:

Before an update there were installed liberation-fonts-1.04.93-6.fc11 and 
liberation-fonts-common-1.04.93-6.fc11. The current update "obsoleted" liberation-fonts and "replaced" it with liberation-fonts-common.  In yum.log:

Feb 04 12:55:50 Installed: liberation-fonts-common-1.04.93-8.fc11.noarch
Feb 04 12:58:20 Erased: liberation-fonts

Only there are no actual fonts after these operations.  It appears that the idea was to replace those with 'liberation-fonts-compat' package.  A typo in specs?

Version-Release number of selected component (if applicable):
liberation-fonts-1.04.93-8.fc11
Comment 1 Nicolas Mailhot 2009-02-04 15:43:57 EST
Yes, the latest liberation rawhide package releases are "strange"

I'll probably won't be able to find the time soonish to try to understand them.

Caius: how about you just follow the templates strictly, taking inspiration from how mgopen (or dejavu, or vera...) obsoleted cleanly their old monolithic fonts package, instead of trying to come up with a new obsoletion pattern?
Comment 2 Caius 'kaio' Chance 2009-02-05 23:49:08 EST
Patch with reference of dejavu-fonts:

http://koji.fedoraproject.org/koji/buildinfo?buildID=81636

Note You need to log in before you can comment on or make changes to this bug.